Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004123OCaml~DO NOT USE (was: OCaml general)public2006-09-26 08:412007-02-07 15:46
ReporterSebastien_Hinderer 
Assigned Todoligez 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.09.2 
Target VersionFixed in Version3.10+dev 
Summary0004123: Fonction unix_error_of_code non déclarée
DescriptionLa fonction unix_error_of_code qui convertit un entier (tel que ceux
contenus dans la variable errno après un appel à une fonction de la libc
qui a échoué) en une valeur de type Unix.error n'est déclarée dans aucun
des fichiers .h installés par la commande make install de Caml.
Ceci oblige les concepteurs de bindings C-caml désireux d'utiliser cette
fonction à la déclarer dans leurs fichiers de stubs, ce qui ne me paraît pas
très élégant.
Cordialement,
Sébastien.
TagsNo tags attached.
Attached Files

- Relationships
related to 0004125closeddoligez unixsupport.h in base package 

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2006-09-26 08:41 Sebastien_Hinderer New Issue
2006-11-15 16:15 doligez Relationship added related to 0004125
2006-11-15 16:16 doligez Assigned To => doligez
2006-11-15 16:16 doligez Severity minor => feature
2006-11-15 16:16 doligez Status new => acknowledged
2007-02-07 15:46 doligez Status acknowledged => closed
2007-02-07 15:46 doligez Resolution open => fixed
2007-02-07 15:46 doligez Fixed in Version => 3.10+dev
2017-02-23 16:36 doligez Category OCaml general => -OCaml general
2017-03-03 17:55 doligez Category -OCaml general => -(deprecated) general
2017-03-03 18:01 doligez Category -(deprecated) general => ~deprecated (was: OCaml general)
2017-03-06 17:04 doligez Category ~deprecated (was: OCaml general) => ~DO NOT USE (was: OCaml general)


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker